Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageSeparableConvolution Class Reference

`#include <vtkImageSeparableConvolution.h>`

Inheritance diagram for vtkImageSeparableConvolution:

[legend]
Collaboration diagram for vtkImageSeparableConvolution:

[legend]
List of all members.

## Detailed Description

3 1D convolutions on an image

Date:
  2002/12/11 14:26:22

Revision:
  1.6

vtkImageSeparableConvolution performs a convolution along the X, Y, and Z axes of an image, based on the three different 1D convolution kernels. The kernels must be of odd size, and are considered to be centered at (int)((kernelsize - 1) / 2.0 ). If a kernel is NULL, that dimension is skipped. This filter is designed to efficiently convolve separable filters that can be decomposed into 1 or more 1D convolutions. It also handles arbitrarly large kernel sizes, and uses edge replication to handle boundaries.

Created by:
  - Blezek, Dan

CVS contributions (if > 5%):
  - Blezek, Dan (93%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageSeparableConvolution.h)`
  - .`cxx` (`/Imaging/vtkImageSeparableConvolution.cxx)`

Tests:
  vtkImageSeparableConvolution (Tests)

Definition at line 53 of file vtkImageSeparableConvolution.h.

## Public Types
typedef vtkImageDecomposeFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | SetXKernel (vtkFloatArray *)
virtual vtkFloatArray * | GetXKernel ()
virtual void | SetYKernel (vtkFloatArray *)
virtual vtkFloatArray * | GetYKernel ()
virtual void | SetZKernel (vtkFloatArray *)
virtual vtkFloatArray * | GetZKernel ()
void | PrintSelf (ostream &os, vtkIndent indent)
unsigned long int | GetMTime ()
## Static Public Methods
vtkImageSeparableConvolution * | New ()
int | IsTypeOf (const char *type)
vtkImageSeparableConvolution * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageSeparableConvolution ()
| ~vtkImageSeparableConvolution ()
void | ComputeInputUpdateExtent (int inExt[6], int outExt[6])
void | IterativeExecuteData (vtkImageData *inData, vtkImageData *outData)
void | ExecuteInformation (vtkImageData *input, vtkImageData *output)
void | ExecuteInformation ()
## Protected Attributes
vtkFloatArray * | XKernel
vtkFloatArray * | YKernel
vtkFloatArray * | ZKernel

## Member Typedef Documentation

typedef vtkImageDecomposeFilter vtkImageSeparableConvolution::Superclass

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageDecomposeFilter. Definition at line 57 of file vtkImageSeparableConvolution.h.

## Constructor & Destructor Documentation

vtkImageSeparableConvolution::vtkImageSeparableConvolution | ( |  | ) | `[protected]`

vtkImageSeparableConvolution::~vtkImageSeparableConvolution | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageSeparableConvolution* vtkImageSeparableConvolution::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageSeparableConvolution::GetClassName | ( |  | ) | `[virtual]`

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageDecomposeFilter.

int vtkImageSeparableConvolution::IsTypeOf | ( | const char * | type | ) | `[static]`

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageDecomposeFilter.

virtual int vtkImageSeparableConvolution::IsA | ( | const char * | type | ) | `[virtual]`

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageDecomposeFilter.

vtkImageSeparableConvolution* vtkImageSeparableConvolution::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageDecomposeFilter.

virtual void vtkImageSeparableConvolution::SetXKernel | ( | vtkFloatArray * |  | ) | `[virtual]`

virtual vtkFloatArray* vtkImageSeparableConvolution::GetXKernel | ( |  | ) | `[virtual]`

virtual void vtkImageSeparableConvolution::SetYKernel | ( | vtkFloatArray * |  | ) | `[virtual]`

virtual vtkFloatArray* vtkImageSeparableConvolution::GetYKernel | ( |  | ) | `[virtual]`

virtual void vtkImageSeparableConvolution::SetZKernel | ( | vtkFloatArray * |  | ) | `[virtual]`

virtual vtkFloatArray* vtkImageSeparableConvolution::GetZKernel | ( |  | ) | `[virtual]`

void vtkImageSeparableConvolution::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageDecomposeFilter.

unsigned long int vtkImageSeparableConvolution::GetMTime | ( |  | ) | `[virtual]`

| Overload standard modified time function. If kernel arrays are modified, then this object is modified as well. Reimplemented from vtkObject.

void vtkImageSeparableConvolution::ComputeInputUpdateExtent | ( | int | inExt[6],
|  | int | outExt[6]
| ) | `[protected, virtual]`

| Reimplemented from vtkImageIterateFilter.

void vtkImageSeparableConvolution::IterativeExecuteData | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Implements vtkImageIterateFilter.

void vtkImageSeparableConvolution::ExecuteInformation | ( | vtkImageData * | input,
|  | vtkImageData * | output
| ) | `[protected, virtual]`

| Reimplemented from vtkImageIterateFilter.

void vtkImageSeparableConvolution::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageIterateFilter. Definition at line 93 of file vtkImageSeparableConvolution.h. References vtkImageIterateFilter::ExecuteInformation().

## Member Data Documentation

vtkFloatArray* vtkImageSeparableConvolution::XKernel`[protected]`

| Definition at line 85 of file vtkImageSeparableConvolution.h.

vtkFloatArray* vtkImageSeparableConvolution::YKernel`[protected]`

| Definition at line 86 of file vtkImageSeparableConvolution.h.

vtkFloatArray* vtkImageSeparableConvolution::ZKernel`[protected]`

| Definition at line 87 of file vtkImageSeparableConvolution.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageSeparableConvolution.h